Skip to main content
GET
/
workspaces
/
{wid}
Get workspace info
curl --request GET \
  --url https://api.gologin.com/workspaces/{wid} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gologin.com/workspaces/{wid}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gologin.com/workspaces/{wid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "owner": "<string>",
  "name": "<string>",
  "folders": [
    {
      "id": "<string>",
      "name": "<string>",
      "permissions": {
        "manageMember": true,
        "manageAdminMember": true,
        "share": true,
        "canClaimProfiles": true,
        "addProfile": true,
        "importProfile": true,
        "multipleCreateProfiles": true,
        "dropProfiles": true,
        "removeProfile": true,
        "pinProfile": true,
        "reorderProfiles": true,
        "viewFolder": true
      },
      "order": 123,
      "associatedProfiles": [
        "<string>"
      ],
      "isAllProfiles": true
    }
  ],
  "members": [
    {
      "id": "<string>",
      "email": "<string>",
      "role": {},
      "limitedAccess": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "permissions": {
        "kickMember": true,
        "manageWorkspaceWideAccess": true,
        "manageWorkspaceWideAdminAccess": true,
        "viewMember": true
      },
      "user": "<string>",
      "folders": [
        {
          "name": "<string>",
          "role": {},
          "permissions": {
            "manageAccess": true,
            "manageAdminAccess": true
          }
        }
      ],
      "joined": true,
      "invitedByEmail": "<string>",
      "lastActiveAt": "2023-11-07T05:31:56Z",
      "workspaceVisited": true
    }
  ],
  "planId": "<string>",
  "planName": "<string>",
  "planMembersMax": 123,
  "profilesCount": 123,
  "planProfilesMax": 123,
  "planSharesMax": 123,
  "planExpiresAt": "2023-11-07T05:31:56Z",
  "paymentMethod": "<string>",
  "paymentDiscount": "<string>",
  "paymentIsTrial": true,
  "permissions": {
    "editWorkspace": true,
    "downgradeWorkspacePlan": true,
    "canClaimProfilesWithoutFolder": true,
    "updateUAToAllProfiles": true,
    "viewWorkspaceHistory": true,
    "createFolder": true,
    "renameFolder": true,
    "deleteFolder": true,
    "inviteMembers": true,
    "globallyManageMembers": true,
    "globallyManageAdminMembers": true,
    "viewDeletedProfiles": true,
    "restoreProfile": true,
    "importProfile": true,
    "multipleCreateProfiles": true,
    "dropProfiles": true,
    "viewAllMembers": true,
    "pinProfileWithoutFolders": true,
    "manageGeolocationProxies": true,
    "manageUserProxies": true,
    "addTags": true,
    "removeTags": true,
    "editTags": true
  },
  "activeSharesCount": 123,
  "isUnpaid": true,
  "isPlanUnlimited": true,
  "limits": {
    "maxMembers": 123,
    "maxProfiles": 123,
    "maxProfileShares": 123,
    "maxParallelCloudLaunches": 123,
    "maxCloudMinutes": 123
  },
  "allProfilesFolderId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wid
string
required

Workspace ID

Response

200 - application/json
id
string
required
owner
string
required
name
string
required
folders
object[]
required
members
object[]
required
planId
string
required
planName
string
required
planMembersMax
number
required
profilesCount
number
required
planProfilesMax
number
required
planSharesMax
number
required
planExpiresAt
string<date-time>
required
paymentMethod
string
required
paymentDiscount
string
required
paymentIsTrial
boolean
required
permissions
object
required
activeSharesCount
number
required
isUnpaid
boolean
required
isPlanUnlimited
boolean
required
limits
object
required
allProfilesFolderId
string